import { createApp } from 'vue'
import App from './App.vue'
import { setupI18n } from './locales'
import { setupAssets, setupScrollbarStyle } from './plugins'
import { setupStore } from './store'
import { setupRouter } from './router'
import Antd from "ant-design-vue";
import "ant-design-vue/dist/reset.css";
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
async function bootstrap() {
  const app = createApp(App)
  setupAssets()
  app.use(Antd);
  app.use(ElementPlus);
  setupScrollbarStyle()
  setupStore(app)
  setupI18n(app)
  await setupRouter(app)
    // 子页面中
    app.mount('#app')
}
const origins=['https://erp.fontree.cn','http://172.16.100.93:9010']
window.addEventListener('message', function(event) {

	if (origins.includes(event.origin)){
		localStorage.setItem('token',event.data.token)
		localStorage.setItem('mode',JSON.stringify(event.data.mode))
		localStorage.setItem('userInfo',JSON.stringify(event.data.userInfo))
	}
});
bootstrap()
